Subject: Re: Nabble fait des siennes

From: Christophe Pochon <[email-masked]>
Date: Thu, 1 Jul 2021 08:19:59 +0200

Bonjour,

J'ai trouvé ça aussi : http://groupserver.org/

A+

Christophe Pochon

Le jeu. 1 juil. 2021 à 00:55, Valentin Villenave <[email-masked]> a
écrit :

> On 6/30/21, Jean Abou Samra <[email-masked]> wrote:
> > Mes premières recherches m'ont dirigé
> > par exemple vers cet outil :
> > https://www.sympa.org/
>
> Oui, Sympa est beaucoup utilisé notamment dans les associations telles
> que l’April et dans l’enseignement supérieur (notamment à Normale
> Sup’, le réseau Renater et autres). Mais ce n’est qu’un gestionnaire
> de listes de discussion, tout comme Mailman qu’utilise gnu.org ; pour
> les habitué⋅es à des forums ce sera de toute façon très déstabilisant
> (en fait, je ne suis même pas sûr qu’il soit possible de poster ou
> répondre à des messages directement depuis l’interface web, à moins
> que cette possibilité ait été ajoutée récemment).
>
> Pour la petite histoire, j’apprécie particulièrement leur page de
> screenshots :
> https://www.sympa.org/overview/screenshot
> mais pas autant que leur documentation utilisateur :
> https://sympa-community.github.io/help/
> …
>
>
> V.
>
>

---

From: Jean Abou Samra <[email-masked]>
Date: Thu, 1 Jul 2021 09:57:00 +0200 (CEST)

> Le 01/07/2021 00:55, Valentin Villenave <[email-masked]> a écrit :
> 
> 

Si, on peut bien poster depuis l'interface Web (en revanche, il n'y a pas d'options de formatage du texte).

> Pour la petite histoire, j’apprécie particulièrement leur page de screenshots :

Leur site a l'air en construction, en effet. Cela dit, l'outil n'a pas l'air mauvais. Pour expérimenter, j'ai créé une liste test-lilypond-user-fr sur leur serveur de test :

https://demo.sympa.org/sympa/info/test-lilypond-user-fr

J'encourage les intéressés à s'y abonner et y poster un message pour avoir une première impression.

La question principale reste la manière de connecter cela à la liste principale. Je n'ai pas l'impression qu'il accepte comme Nabble de recevoir des messages d'une liste qu'il ne gère pas lui-même. Est-ce que GNU accepterait d'installer cette chose ?? Est-ce qu'il serait possible d'avoir les archives sur gnu.org tout en déplaçant la liste ? Où la déplacer ? C'est un domaine d'interrogations pour moi.

> Je ne suis même pas sûr de pouvoir atteindre tout le monde, ceci étant ma toute première tentative par courriel… J'ai, depuis le début, utilisé Nabble, pour communiquer avec les autres utilisateurs de la liste, et je trouve assez cavalier (pour ne pas dire plus…) que ce moyen de communication soit supprimé sans même une explication… et je ne suis certainement pas le seul… De recevoir tous les messages par courriel, je n'en ai aucune envie… je trouve tellement plus pratique d'aller quand bon me semble sur le site de Nabble pour lire les messages, me tenir au courant des questions, y essayer d'y répondre… et en poser un tas…

Vous avez bien atteint tout le monde. Sur la liste anglophone, les nombreux messages autour des problèmes de Nabble laissent penser que vous n'êtes pas le seul à désirer une interface Web (je suis comme Olivier un pur et dur du mail, mais c'est un moyen de communication qui commence à tomber en désuétude).

> J'ai trouvé ça aussi : http://groupserver.org/

J'ai également regardé de ce côté, mais leur dépôt sur GitHub n'a connu aucune activité depuis 2016, ce qui ne présage malheureusement pas d'une bonne maintenance de l'outil.

Je continue à chercher d'autres options. 

Cordialement,
Jean

---

From: Olivier Miakinen <[email-masked]>
Date: Thu, 1 Jul 2021 10:08:52 +0200

Le 01/07/2021 09:57, Jean Abou Samra répondait à quelqu'un :
> 
>> Je ne suis même pas sûr de pouvoir atteindre tout le monde, [...]
> 
> Vous avez bien atteint tout le monde. [...]

Je n'en suis pas sûr parce que je n'arrive pas à retrouver le message
auquel tu réponds.

Cordialement,
-- 
Olivier Miakinen

---

From: Valentin Villenave <[email-masked]>
Date: Thu, 1 Jul 2021 10:14:22 +0200

On 7/1/21, Jean Abou Samra <[email-masked]> wrote:
> Je n'ai pas l'impression qu'il accepte comme Nabble de recevoir
> des messages d'une liste qu'il ne gère pas lui-même. Est-ce que GNU
> accepterait d'installer cette chose ?

Cela créerait des problèmes de collisions à n’en plus finir (il y a
des centaines de listes hébergées par GNU, et elles utilisent Mailman
depuis deux décennies ; rien que la mise à jour vers Mailman 3, qui
est sorti il y a cinq ou six ans, n’a pas encore pu être réalisée).

*Si* une telle migration a lieu, alors il faudra trouver un autre
hébergement et la liste changera d’adresse. On peut importer les
archives en mbox, ce n’est pas l’aspect le plus gênant, par contre
cela obligera tout le monde à se créer un nouveau compte au nouvel
endroit et à mettre à jour ses adresses. De plus, les anciennes
archives chez GNU devront être abandonnées.

Ce n’est pas inenvisageable, mais il faut vraiment estimer la
nécessité auparavant.

V.

---

From: Jean Abou Samra <[email-masked]>
Date: Thu, 1 Jul 2021 10:20:58 +0200 (CEST)

Le 01/07/2021 10:08, Olivier Miakinen <[email-masked]> a écrit :

auquel tu réponds.

J'ai parlé trop vite, en effet : Bernard, vous n'aviez répondu qu'à mon adresse. Il faut aussi mettre la liste en copie ([email-masked]).

Cordialement,

Jean

---

From: Jean Abou Samra <[email-masked]>
Date: Thu, 15 Jul 2021 18:53:04 +0200 (CEST)

> Le 01/07/2021 10:14, Valentin Villenave <[email-masked]> a écrit :
> 
> 

Oui… Essayons d'éviter.

Aujourd'hui, j'ai testé un outil qui me semble prometteur,
nonobstant son nom : FUDforum.

http://cvs.prohost.org/index.php

Il offre une connexion à double sens entre forum et liste
de diffusion, documentée ici :

http://cvs.prohost.org/index.php?title=Mailing_List_Manager

Je l'ai donc installé en localhost et ai obtenu un début de
résultat probant. J'ai pu créer un forum, m'inscrire avec une
autre adresse, et importer les archives de la liste en mbox.
Pour importer en continu les messages de la liste dans le forum,
il propose soit le cron-job depuis un dossier local, soit
la synchronisation avec une boîte mail IMAP ou POP. J'ai essayé
l'IMAP avec ma propre messagerie, concluant. Par contre, les choses
se compliquent pour que les messages du forum soient envoyés à la
liste. L'outil permet l'utilisation d'un serveur sortant SMTP
personnalisé. Sans cela, rien n'a fonctionné. Avec le SMTP
de mon adresse personnelle, je recevais les messages si je
spécifiais ma propre adresse comme adresse de la liste de
diffusion, ou d'ailleurs une adresse GMail (je sais) créée
pour l'occasion, mais avec la vraie adresse de la liste de
diffusion, comme avec celle de la liste anglophone, j'ai
toujours obtenu des erreurs comme :

This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of
its recipients. This is a permanent error.

The following address failed:

[email-masked]:
SMTP error from remote server for TEXT command, host: eggs.gnu.org (209.51.188.92) reason: 550 Message headers fail syntax check

--- The header of the original message is following. ---

Subject: Test 2
Date: Thu, 15 Jul 2021 17:05:52 +0200
To: [email-masked]
From: Administrator <[email-masked]>
Organization: LIlyPond

Est-ce que quelqu'un dont ce n'est pas la première
expérience d'administration de serveur aurait une
idée de ce qui se produit ? Cette histoire commence
à me dépasser.

Si cela peut se régler, FUDforum pourrait fonctionner.
Je continue à chercher des alternatives.

Cordialement,
Jean

---

From: Olivier Miakinen <[email-masked]>
Date: Thu, 15 Jul 2021 19:01:36 +0200

Bonjour Jean,

Le 15/07/2021 18:53, Jean Abou Samra a écrit :
> 
> 
> [...] 550 Message headers fail syntax check
> 
> [...]
> Return-Path: Administrator <[email-masked]>

Je parie pour la partie « Administrator » de cet entête.

Essaye si tu peux :
Return-Path: <[email-masked]>

---

From: Olivier Miakinen <[email-masked]>
Date: Thu, 15 Jul 2021 19:32:28 +0200

> Return-Path: <[email-masked]>

Note que je n'ai pas dit ça au hasard, mais en lisant le RFC 2822 :

<https://datatracker.ietf.org/doc/html/rfc2822#section-3.6.7>
§
return          =       "Return-Path:" path CRLF

path            =       ([CFWS] "<" ([CFWS] / addr-spec) ">" [CFWS]) /
                        obs-path
§

(dans lequel même le choix obsolète « obs-path » ne contient qu'une
adresse entre chevrons)

---

From: Olivier Miakinen <[email-masked]>
Date: Thu, 15 Jul 2021 20:27:46 +0200

Pendant que j'y suis, un petit tour par le RFC 2076...

Le 15/07/2021 18:53, Jean Abou Samra a cité les entêtes :
> 
> Errors-To: Administrator <[email-masked]>

Non standard, et déconseillé.

<https://datatracker.ietf.org/doc/html/rfc2076.txt#section-3.5>
§
   Address to which notifications       Errors-To:,    Non-standard,
   are to be sent and a request to      Return-        discouraged.
   get delivery notifications.          Receipt-To:
   Internet standards recommend,
   however, the use of RCPT TO and
   Return-Path, not Errors-To, for
   where delivery notifications are
   to be sent.
§

> X-Mailer: FUDforum v3.1.1

Non standard, mais pas déconseillé (tout comme les entêtes en X- dans
leur ensemble).

<https://datatracker.ietf.org/doc/html/rfc2076.txt#section-3.4>
§
   Information about the client         Mail-System-   Non-standard.
   software of the originator.          Version:,
                                        Mailer:,
                                        Originating-
                                        Client:, X-
                                        Mailer, X-
                                        Newsreader
§

Cordialement,
-- 
Olivier Miakinen

---

From: Jean Abou Samra <[email-masked]>
Date: Thu, 15 Jul 2021 21:35:09 +0200

> (dans lequel même le choix obsolète « obs-path » ne contient qu'une

Merci pour le conseil. N'y connaissant strictement rien
ni aux en-têtes des mails, ni à PHP, j'ai essayé naïvement
de supprimer complètement le Return-Path…

diff --git a/install/forum_data/src/iemail.inc.t 
b/install/forum_data/src/iemail.inc.t
index be9d35037..b28d59f6b 100644
--- a/install/forum_data/src/iemail.inc.t
+++ b/install/forum_data/src/iemail.inc.t
@@ -63,7 +63,7 @@ function send_email($from, $to, $subj, $body, 
$header='', $munge_newlines=1)
         if (strpos($header, 'MIME-Version') === false) {
                 $extra_header = "\nMIME-Version: 1.0\nContent-Type: 
text/plain; charset={TEMPLATE: 
iemail_CHARSET}\nContent-Transfer-Encoding: 8bit". $header;
         }
-       $header = 'From: '. $from ."\nErrors-To: ". $from 
."\nReturn-Path: ". $from ."\nX-Mailer: FUDforum v". 
$GLOBALS['FORUM_VERSION']. $extra_header. $header;
+       $header = 'From: '. $from ."\nErrors-To: ". $from ."\nX-Mailer: 
FUDforum v". $GLOBALS['FORUM_VERSION']. $extra_header. $header;

         $body = str_replace("\r", '', $body);
         if ($munge_newlines) {

… ce qui évidemment n'a pas fonctionné. Le plus drôle,
ou pas, c'est que je ne parviens pas à poster mon rapport
de bug sur http://fudforum.org/forum/index.php?t=thread&frm_id=7&
car je ne reçois pas les mails de confirmation de mon compte…

Bon, c'est un peu compromis pour l'instant.

Jean

---

From: Olivier Miakinen <[email-masked]>
Date: Thu, 15 Jul 2021 21:57:29 +0200

Bonjour,

> Bon, c'est un peu compromis pour l'instant.

Je propose que l'on continue un peu en privé, sauf si d'autres abonnés
de la liste pensent pouvoir aider.

---

From: Jean Abou Samra <[email-masked]>
Date: Mon, 19 Jul 2021 23:21:21 +0200

Bonjour,

Faisons un petit point sur la situation.

Comme l'a signalé Bernard dans l'autre fil, Nabble ne fonctionne
plus du tout. Si nous voulons continuer à avoir un forum Web,
il faut vraiment trouver autre chose.

L'outil que j'ai testé est FUDforum. Des problèmes sont survenus
avec l'envoi de messages vers la liste, mais seulement depuis le
serveur SMTP de 1and1, et pas celui de GMail. Merci à Olivier qui
a essayé de déboguer avec moi, dommage que cela n'ait pas fonctionné.
Néanmoins, ce serveur m'ayant déjà causé d'autres ennuis, je présume
qu'en utiliser un autre ne causera pas de soucis.

Je me suis renseigné un peu sur quelques autres outils comme Sympa,
GroupServer, SMF, Discourse, PHPBB, MyBB, AsmBB, Xenforo. Tous ceux
mentionnés ici ne répondent pas à nos besoins (même avec des
extensions), soit parce qu'ils ne permettent pas de répondre
par mail aux messages postés sur le Web, soit parce qu'ils
ne le font que pour des listes qu'ils gèrent eux-mêmes, ce
qui impliquerait un changement d'adresse de la liste principale
et des ennuis à foison.

Il y a aussi Elkarte, que j'ai essayé car il paraissait prometteur,
mais il insiste fortement pour que, dans les réponses par la liste à
des sujets lancés sur le forum, on ne puisse pas répondre deux fois à
la même notification. L'idée aurait été d'abonner aux notifications
un compte fictif avec l'adresse de la liste, mais deux personnes
ne pourraient pas répondre par la liste au même message posté via
le forum.

Bref, la seule option que j'aie à proposer pour l'instant est
FUDforum. Vous pouvez vous en faire une idée sur fudforum.org.
L'interface est un peu désuète, mais on peut la changer. Des
thèmes créés par diverses personnes se trouvent sur
http://fudforum.org/forum/index.php?t=thread&frm_id=10&
Elle a l'avantage d'exister en français.

Qu'en pensez-vous ?

Si c'est ce que nous choisissons, il faudra l'héberger quelque
part. Valentin, seriez-vous prêt à ressusciter lilynet.net
pour cela ?

Au fait, si cela se concrétise, on pourra proposer d'y mettre
aussi la liste anglophone qui a le même problème (mais dans
ce cas il se peut qu'il faille mettre l'interface en anglais).

Merci pour vos retours.

Cordialement,
Jean

PS : Le mainteneur de FUDforum vient de changer le code suite à
mon rapport de bug, je teste demain et je vous tiens au courant.

---

From: Valentin Villenave <[email-masked]>
Date: Tue, 20 Jul 2021 09:40:25 +0200

> part. Valentin, seriez-vous prêt à ressusciter lilynet.net

Tiens, je viens justement de renouveler l’abonnement…

V.

---

From: Jean Abou Samra <[email-masked]>
Date: Tue, 20 Jul 2021 09:53:12 +0200

> Tiens, je viens justement de renouveler l’abonnement…

Alors vous êtes volontaire !

Plus sérieusement, je peux l'installer sans problème
(je l'ai déjà fait une dizaine de fois), mais je n'ai
strictement aucune expérience comme administrateur de
site Web.

Cordialement,
Jean

---

From: "[email-masked]" <[email-masked]>
Date: Tue, 20 Jul 2021 15:09:54 +0200

Je suis volontaire pour tester, si besoin est...

Bernard

Envoyé avec l’application blue News & E-Mail

Le 19 juillet 2021 à 23:21, Jean Abou Samra <[email-masked]> a écrit

---

From: Bernard Meylan <[email-masked]>
Date: Sat, 31 Jul 2021 14:36:50 +0200

Bonjour à tous!

Juste de retour de vancances.

> Elle a l'avantage d'exister en français.

Je suis prêt à le tester.

Amitiés à tout le monde!

Bernard

---

From: Jean Abou Samra <[email-masked]>
Date: Sat, 31 Jul 2021 21:31:05 +0200

> Je suis prêt à le tester.

Bonsoir,

Pas de nouvelles de Valentin. Je subodore qu'il n'a pas le temps de s'en 
occuper.

Je vais donc essayer d'héberger le forum sur un domaine à déterminer 
(grande respiration… ça va aller).

Cordialement,
Jean